FT_4222_Defines.SPI_CMD

com.ftdi.j2xx.ft4222

## Class FT_4222_Defines.SPI_CMD

- java.lang.Object
- - com.ftdi.j2xx.ft4222.FT_4222_Defines.SPI_CMD

- Enclosing class:
    FT_4222_Defines

      public class FT_4222_Defines.SPI_CMD
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `SPI_GET_CONFIG`
    `static int` | `SPI_GET_STATUS`
    `static int` | `SPI_SET_CLK`
    `static int` | `SPI_SET_CPHA`
    `static int` | `SPI_SET_CPOL`
    `static int` | `SPI_SET_IO`
    `static int` | `SPI_SET_RESET_TRANSACTION`
    `static int` | `SPI_SET_RESTART_CONTROLLER`
    `static int` | `SPI_SET_SLAVE_MAP`
    `static int` | `SPI_SET_SS`
    `static int` | `SPI_SET_TURBO`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FT_4222_Defines.SPI_CMD()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SPI_GET_CONFIG

          public static final int SPI_GET_CONFIG

      See Also:
        Constant Field Values

    - #### SPI_GET_STATUS

          public static final int SPI_GET_STATUS

      See Also:
        Constant Field Values

    - #### SPI_SET_IO

          public static final int SPI_SET_IO

      See Also:
        Constant Field Values

    - #### SPI_SET_SS

          public static final int SPI_SET_SS

      See Also:
        Constant Field Values

    - #### SPI_SET_CLK

          public static final int SPI_SET_CLK

      See Also:
        Constant Field Values

    - #### SPI_SET_CPOL

          public static final int SPI_SET_CPOL

      See Also:
        Constant Field Values

    - #### SPI_SET_CPHA

          public static final int SPI_SET_CPHA

      See Also:
        Constant Field Values

    - #### SPI_SET_TURBO

          public static final int SPI_SET_TURBO

      See Also:
        Constant Field Values

    - #### SPI_SET_SLAVE_MAP

          public static final int SPI_SET_SLAVE_MAP

      See Also:
        Constant Field Values

    - #### SPI_SET_RESET_TRANSACTION

          public static final int SPI_SET_RESET_TRANSACTION

      See Also:
        Constant Field Values

    - #### SPI_SET_RESTART_CONTROLLER

          public static final int SPI_SET_RESTART_CONTROLLER

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### FT_4222_Defines.SPI_CMD

          public FT_4222_Defines.SPI_CMD()

About FTDI | FTDI Licence Terms